Widget["IndexedImagePanel", { 
  Script[ Needs["Tetris`"]; ],
  "preferredSize" -> 
    Widget["Dimension", {"width" -> Script[$boardWidth*$pixelSize], "height" -> Script[$boardHeight*$pixelSize]}], 
    "imageWidth" -> Script[$boardWidth],
    "imageHeight" -> Script[$boardHeight],
    "imagePixelSize" -> Script[$pixelSize],
    "imageColorMapSize" -> Script[Length[colorSet[]] ],
    "imageColorComponents" ->  Script[Flatten[{colorSet[] }] ],
    "imagePixels" -> Script[Flatten[ Table[0, {$boardWidth}, {$boardHeight}]] ]
}, 
Name -> "gamePanel"]
